#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majversion	%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	sofia-sip
Version		:	1.12.11
Release		:	17.2.0.rel%{?dist}
Summary		:	open-source SIP User-Agent library
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL
URL		:	https://telepathy.freedesktop.org/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
sofia-SIP is an open-source SIP User-Agent library, compliant
with the IETF RFC3261 specification. It can be used as
a building block for SIP client software for uses such as VoIP,
IM, and many other real-time and person-to-person communication
services. The primary target platform for Sofia-SIP is
GNU/Linux. Sofia-SIP is based on a SIP stack developed at
the Nokia Research Center.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-vala-bindings 				\
	--enable-shared					\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc AUTHORS COPYING README
%{_bindir}/addrinfo
%{_bindir}/localinfo
%{_bindir}/sip-*
%{_bindir}/stunc
%{_includedir}/%{name}-%{majversion}/sofia-resolv/*.{h,in}
%{_includedir}/%{name}-%{majversion}/%{name}/*.{h,in}
%{_libdir}/lib%{name}-ua*.so*
%{_libdir}/pkgconfig/%{name}-ua*.pc
%{_datadir}/%{name}/*.awk
%{_mandir}/man1/*.1.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
